using UnityEngine;
using System.Collections;

public class MenuGUI : MonoBehaviour {


       private int _windowHeight = 0;
    private int _windowWidth = 0;

    void Start()
    {
        _windowWidth = Screen.currentResolution.width;
        _windowHeight = Screen.currentResolution.height;
    }

	void OnGUI () {
        GUI.skin.box.fontSize = 25;
        GUI.skin.button.fontSize = 20;
        GUI.skin.box.alignment = TextAnchor.MiddleCenter;
        if ((Screen.width != _windowWidth) || (Screen.height != _windowHeight))
            GUI.Box(new Rect(Screen.width / 2f - 250, Screen.height / 2f - 75, 500, 150), "Please go to full screen mode.");

        if (GUI.Button(new Rect(Screen.width / 2f - 80, Screen.height / 2f - 20 + 100, 160, 40), "Full screen"))
        {
            Screen.SetResolution(_windowWidth, _windowHeight, true, 0);
        }

        if (GUI.Button(new Rect(Screen.width / 2f - 80, Screen.height / 2f - 20 + 150, 160, 40), "New game"))
        {
            GameModel.level = 0;
            Application.LoadLevel("Game");
        }
	}
}
